<?php
function smarty_function_draw_minute_input($params,&$smarty){
	$html = "<select name=\"".$params['field_name']."_minute\" class=\"".$params['css_class']."\">";
	for($i=0;$i<60;$i++){
		$minute = (strlen($i) == 2) ? $i : '0'.$i;
		$selected = ($params['value'] == $minute) ? 'SELECTED' : '';
		$html .= sprintf('<option value="%s" %s>%s</option>',$minute,$selected,$minute);
	}
	$html .= '</select>';
	return $html;
}
